EC_YAML_EXPORT(3)

NAME
ec_yaml_export - Export an ec_node tree to a YAML formatted stream.

SYNOPSIS
#include <ecoli/yaml.h>

int ec_yaml_export(
    /*
     * The output stream where YAML content will be written.
     */
    FILE                   *out,
    const struct ec_node   *node   /* The root node of the grammar tree to export. */
);

DESCRIPTION

This function traverses the ec_node tree and outputs a YAML representation of the grammar structure including node type, id, help, attributes and configuration. The output can be used as a template or documentation for grammar definitions.

RETURN VALUE

0 on success, or -1 on error (errno is set).

SEE ALSO

ec_yaml_import(3),

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.